/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Feb 24, 2006
 *
 */
package gov.va.med.esr.common.model.lookup;


// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class DayOfWeek extends AbstractNamedActiveLookup {
	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 7282677575555358062L;	                                            

	public static final Code MONDAY = new Code("1", "MON");
	public static final Code TUESDAY = new Code("2", "TUE");
	public static final Code WEDNESDAY = new Code("3", "WED");
	public static final Code THURSDAY = new Code("4", "THU");
	public static final Code FRIDAY = new Code("5", "FRI");
	public static final Code SATURDAY = new Code("6", "SAT");
	public static final Code SUNDAY = new Code("7", "SUN");
	
	public DayOfWeek() {
		super();
	}
	
    public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = 3946317980972383760L;	                                            
		
		private Code(String code, String alias) {
			super(code,alias);
		}
      
		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}	
}


